{
	"pages": [{
			"path": "pages/index/index",
			"style": {
				"navigationBarTextStyle": "black",
				"navigationBarTitleText": "救援者",
				"enablePullDownRefresh": true,
				"onReachBottomDistance": 50,
				"app-plus": {
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/user/user",
			"style": {
				// #ifndef MP-WEIXIN
				"navigationStyle": "custom",
				// #endif
				"navigationBarTitleText": "个人中心"
			}
		},
		{
			"path": "pages/public/wxLogin",
			"style": {
				"navigationBarTitleText": "微信登录",
				"app-plus": {
					"titleNView": {
						"type": "none"
					}
				}
			}
		},
		{
			"path": "pages/public/login",
			"style": {
				"navigationBarTitleText": "登录",
				"app-plus": {
					"titleNView": {
						"type": "transparent"
					}
				}
			}
		},
		{
			"path": "pages/public/register",
			"style": {
				"navigationBarTitleText": "注册",
				"app-plus": {
					"titleNView": {
						"type": "transparent"
					}
				}
			}
		},
		{
			"path": "pages/rescuers/rescuers",
			"style": {
				// #ifndef MP-WEIXIN
				"navigationStyle": "custom",
				// #endif
				"enablePullDownRefresh": true,
				"navigationBarTitleText": "救援者注册"
			}
		},
		{
			"path": "pages/set/phone",
			"style": {
				"navigationBarTitleText": "手机号绑定"
			}
		},
		{
			"path": "pages/address/address",
			"style": {
				"navigationBarTitleText": "常用地址"
			}
		},
		{
			"path": "pages/rescuers/ToKey",
			"style": {
				// #ifdef MP-WEIXIN
				"navigationStyle": "custom",
				// #endif
				"navigationBarTitleText": "选择机构"
			}
		},
		{
			"path": "pages/record/details",
			"style": {
				"navigationBarTitleText": "救援详情"
			}
		},
		{
			"path": "pages/user/about",
			"style": {
				"navigationBarTitleText": "关于我们"
			}
		},
		{
			"path": "pages/set/password",
			"style": {
				"navigationBarTitleText": "修改密码"
			}
		},
		{
			"path": "pages/public/forget",
			"style": {
				"navigationBarTitleText": "忘记密码",
				"app-plus": {
					"titleNView": {
						"type": "transparent"
					}
				}
			}
		},
		{
			"path": "pages/record/help",
			"style": {
				"navigationBarTitleText": "求救记录",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/record/rescue",
			"style": {
				"navigationBarTitleText": "救援记录",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/public/agreement",
			"style": {
				"navigationBarTitleText": "服务协议"
			}
		},
		{
			"path": "pages/public/privacy",
			"style": {
				"navigationBarTitleText": "隐私协议"
			}
		},
		{
			"path": "pages/set/set",
			"style": {
				"navigationBarTitleText": "设置"
			}
		},

		{
			"path": "pages/userinfo/userinfo",
			"style": {
				"navigationBarTitleText": "修改资料"
			}
		},
		{
			"path": "pages/redirect/redirect",
			"style": {
				"navigationBarTitleText": "微信登录跳转页面",
				"app-plus": {
					"titleNView": false
				}
			}
		}
	],
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#FFFFFF",
		"backgroundColor": "#f8f8f8"
	},
	"tabBar": {
		"color": "#C0C4CC",
		"selectedColor": "#FF4F4F",
		"iconWidth": "18px",
		"borderStyle": "black",
		"backgroundColor": "#ffffff",
		"list": [{
				"pagePath": "pages/index/index",
				"iconPath": "static/tabBar/tab-home.png",
				"selectedIconPath": "static/tabBar/tab-home-current.png",
				"text": "SOS"
			},
			// {
			// 	"pagePath": "pages/rescuers/rescuers",
			// 	"iconPath": "static/tabBar/tab-cate.png",
			// 	"selectedIconPath": "static/tabBar/tab-cate-current.png",
			// 	"text": "救援注册"
			// },
			{
				"pagePath": "pages/record/rescue",
				"iconPath": "static/tabBar/tab-rescuers.png",
				"selectedIconPath": "static/tabBar/tab-rescuers-current.png",
				"text": "救援记录"
			},
			{
				"pagePath": "pages/user/user",
				"iconPath": "static/tabBar/tab-my.png",
				"selectedIconPath": "static/tabBar/tab-my-current.png",
				"text": "我的"
			}
		]
	},
	"subPackages": [{
		"root": "pagesA",
		"pages": [{
			"path": "record/call",
			"style": {
				"app-plus": {
					"navigationBarTitleText": "求救记录",
					"titleNView": false
				},
				"usingComponents": {
					"trtc-room": "/wxcomponents/trtc-room/trtc-room"
				}
			}
		}]
	}],
	"preloadRule": {
		"pages/record/rescue": {
			"network": "all",
			"packages": ["pagesA"]
		}
	}
}
